@import "../../../styles/colors.scss";

.filter-toolbar {
  margin-bottom: 12px;
  display: flex;

  .filter-text,
  .filter-username {
    margin-right: 32px;

    input {
      font-size: 1rem;
      padding-bottom: 8px;
      width: 200px;

      &::placeholder {
        color: $disabled-text;
      }
    }
  }

  .filter-text a,
  .filter-username i {
    display: inline-block;
    vertical-align: bottom;
  }

  .filter-username .dropdown-content {
    max-height: 300px;
    overflow: hidden;
    overflow-y: auto;
    box-shadow: 0 0 6px rgba($light-purple, 0.3);
  }

  .filter-username-dropdown-item {
    a {
      display: flex;
      align-items: center;
      line-height: 20px;
      padding-bottom: 8px;
      border-bottom: 1px solid $grey;
      font-weight: 500;

      &:last-child {
        border: none;
      }

      img {
        width: 24px;
        margin-right: 8px;
        border-radius: 50%;
      }
    }
  }

  .filter-switch {
    border-radius: 4px;
    height: 32px;
    width: 80px;
    margin-left: auto;
    background: $grey;

    a {
      display: inline-block;
      text-align: center;
      width: 40px;
      height: 32px;

      &.active {
        background: $medium-purple;
        border-radius: 4px;
      }

      &:after {
        display: inline-block;
        width: 24px;
        height: 24px;
        content: "";
        margin-top: 4px;
        background: no-repeat;
        background-position: center center;
        background-size: 24px 24px;
      }

      &.map-link:after {
        background-image: url(../../../assets/img/map.svg);
      }

      &.map-link.active:after {
        background-image: url(../../../assets/img/map_w.svg);
      }

      &.workers-link:after {
        background-image: url(../../../assets/img/list.svg);
      }

      &.workers-link.active:after {
        background-image: url(../../../assets/img/list_w.svg);
      }
    }
  }
}
